Skip to content

Get member by id

GET
/api/v2.0/stores/{storeId}/members/{memberId}
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX \
--header 'Authorization: Bearer <token>'
storeId
required
string

The id of the store

Example
your-store-id
memberId
required
string

The member Id

Example
m_nsr714RRBEHX

OK

Media typeapplication/json
object
id
string
nullable
first_name
string
nullable
last_name
string
nullable
email
string
nullable
additional_identifiers

DEPRECATED: Start using the ‘Identifiers’ endpoints instead

Array<string>
nullable
identifiers
Array<object>
nullable
object
id
integer format: int32
type_id
integer format: int32
type
string
nullable
value
string
nullable
remarks
string
nullable
phone
object
country_code
required
string
>= 1 characters
number
required
string
>= 1 characters
birth_date
string format: date-time
nullable
address
object
street
string
nullable
city
string
nullable
zip_code
string
nullable
state
string
nullable
country_code

The alpha-2 code of country

string
nullable
gender
required
string
Allowed values: Male Female NotShared NonBinary
consent
object
gdpr_accepted

True if the member has accepted the GDPR. False otherwise.

boolean
save_order_history

True if member has authorized to save order history e.g. transaction details about their purchases.

boolean
receive_sms

True if the member has authorized the sending of promotional SMS. False otherwise.

boolean
receive_email

True if the member has authorized the sending of promotional Emails. False otherwise.

boolean
membership_detail
object
points
number format: double
qualification_points
number format: double
pending_points
number format: double
remaining_points
number format: double
level_title
string
nullable
next_level_title
string
nullable
next_level_points
number format: double
level_expire_date
string format: date-time
nullable
department_ids
Array<string>
nullable
segments
Array<object>
nullable
object
id
integer format: int32
text
string
nullable
type
required
string
Allowed values: Text DateTime Radio Checkbox Dropdown
is_visible_to_follower
boolean
is_required
boolean
value

Use value when segment type is Date or Text

string
nullable
selected_options

Use SelectedOptions when segment type is Radio, Combobox or Dropbox

Array<integer>
nullable
has_wallet_pass
boolean
Example
{
"birth_date": "2026-09-11T12:34:49",
"gender": "Male",
"membership_detail": {
"level_expire_date": "2026-09-11T12:34:49"
},
"segments": [
{
"type": "Text"
}
]
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}